Skip to main content
PUT
/
v0
/
assistant
/
{agent_id}
/
spending-limit
curl --request PUT \
  --url 'https://api.unify.ai/v0/assistant/<agent_id>/spending-limit' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "monthly_spending_cap": 100.0
}'
{
    "agent_id": 123,
    "monthly_spending_cap": 100.0,
    "effective_limit": 100.0
}
Set or update the monthly spending limit for an assistant.

Authorizations

Authorization
string
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
integer
required

Body

monthly_spending_cap
number | null
required
Monthly spending limit in dollars. Set to null to remove the limit.
curl --request PUT \
  --url 'https://api.unify.ai/v0/assistant/<agent_id>/spending-limit' \
  --header "Authorization: Bearer $UNIFY_KEY"
  --header 'Content-Type: application/json' \
  --data '{
    "monthly_spending_cap": 100.0
}'
{
    "agent_id": 123,
    "monthly_spending_cap": 100.0,
    "effective_limit": 100.0
}